/*
  Copyright (C) 2013 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief 
 *  \author Alessandro Bugatti
 *  \version 0.1
 *  \date  Creazione 1-nov-2014
 *  \date  Ultima modifica 1-nov-2014
 */

package blocconotetest;


public class BloccoNote {
    private String nome;
    private Appunto appunti[];
    private int quanti;
    private static final int max = 100;
    public BloccoNote(String n)
    {
        nome = n;
        appunti = new Appunto[max];
        quanti = 0;
    }
    public void aggiungiAppunto(Appunto a)
    {
        if (quanti >= max) return; 
        appunti[quanti] = a;
        quanti++;
    }
    
    public int quanti()
    {
        return quanti;
    }
    
    public Appunto[] getAppuntiPerImportanza(int imp)
    {
        Appunto v[];
        int cont = 0, j = 0;
        for (int i = 0; i < quanti; i++)
            if (appunti[i].getImportanza() == imp)
                cont++;
        v = new Appunto[cont];
        for (int i = 0; i < quanti; i++)
            if (appunti[i].getImportanza() == imp)
            {
                v[j] = new Appunto(appunti[i]);
                j++;
            }
        return v;
    }
    
    public Appunto[] getAppuntiOrdinati()
    {
        Appunto v[] = new Appunto[quanti];
        for (int i = 0; i < quanti; i++)
            v[i] = new Appunto(appunti[i]);
        for (int i = 0; i < quanti; i++)
            for (int j = quanti - 1; j > i; j--)
                if (v[j].getImportanza() > v[j-1].getImportanza())
                {
                    Appunto temp = v[j];
                    v[j] = v[j-1];
                    v[j-1] = temp;
                }
        return v;
    }
    
    public void stampaAppunti()
    {
        System.out.println("**** Blocco note : " + nome + " *****");
        for (int i = 0; i < quanti; i++)
            System.out.println(appunti[i]);
    }
       
}
